"""Gitea GitHub Shim - A GitHub-compatible interface for Gitea."""

from .gitea_github_shim import GiteaGitHubShim
from .config import get_github_client, is_gitea_mode, get_api_info, config
from .models.repository import Repository
from .models.user import User
from .models.pull_request import PullRequest

__version__ = "0.1.0"
__all__ = [
    "GiteaGitHubShim",
    "get_github_client", 
    "is_gitea_mode",
    "get_api_info",
    "config",
    "Repository",
    "User", 
    "PullRequest"
] 