"""Setup configuration for gitea-github-shim package."""

from setuptools import setup, find_packages

with open("../../README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="gitea-github-shim",
    version="0.1.0",
    author="Your Name",
    author_email="your.email@example.com",
    description="A compatibility layer that provides GitHub SDK interfaces for Gitea",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/yourusername/gitea-github-shim",
    packages=find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],
    python_requires=">=3.6",
    install_requires=[
        "py-gitea>=1.16.0",
    ],
    extras_require={
        "dev": [
            "pytest>=6.0",
            "mock>=4.0",
        ],
    },
) 